%define upstream_name    Math-Cephes
%define upstream_version 0.5302

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface to St. Moshier's Cephes library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
  This module provides an interface to over 150 functions of the 
  cephes math library of Stephen Moshier. No functions are exported 
  by default, but rather must be imported explicitly, as in

     use Math::Cephes qw(sin cos);

  There are a number of export tags defined which allow
  importing groups of functions:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/pmath
/usr/share/man/man1/pmath.1.xz

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.530.200-2.mga3
+ Revision: 369585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.530.200-1.mga3
+ Revision: 317687
- update to 0.5302

* Tue Nov 06 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 315134
- update to 0.52

* Sat Oct 27 2012 shlomif <shlomif> 0.510.0-1.mga3
+ Revision: 310841
- update to 0.51

* Wed Aug 29 2012 kharec <kharec> 0.480.0-1.mga3
+ Revision: 285336
- update to 0.48

* Wed Nov 30 2011 kharec <kharec> 0.470.0-1.mga3
+ Revision: 174545
- imported package perl-Math-Cephes

